DevExtreme jQuery/JS - Customize Tile Appearance

For a minor customization of tiles, you can define specific fields in item data objects. For example, the following code generates three tiles: the first is disabled, the second is not customized, the third is hidden.

JavaScript
  • $(function() {
  • $("#tileViewContainer").dxTileView({
  • dataSource: [
  • { text: "Alabama", disabled: true },
  • { text: "Alaska" },
  • { text: "Arizona", visible: false }
  • ]
  • });
  • });

If you need a more flexible solution, define an itemTemplate. In Angular and Vue, you can declare it in the markup. In React, you can use a rendering function (shown in the code below) or component:

If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for tiles. To apply this markup, use the itemTemplate callback function as shown in the following code:

JavaScript
CSS
  • const tileViewData = [
  • { name: "Alabama", capital: "Montgomery" },
  • { name: "Alaska", capital: "Juneau" },
  • { name: "Arizona", capital: "Phoenix" },
  • // ...
  • ];
  •  
  • $(function() {
  • $("#tileViewContainer").dxTileView({
  • dataSource: tileViewData,
  • itemTemplate: function (itemData, itemIndex, itemElement) {
  • itemElement.addClass("tile");
  • itemElement.append(
  • "<p style='font-size:larger'><b>" + itemData.name + "</b></p>",
  • "<p>Capital: <i>" + itemData.capital + "</i></p>"
  • )
  • }
  • });
  • });
  • .tile {
  • border-radius: .5em;
  • text-align: center;
  • color: white;
  • background: gray;
  • }

You can also customize individual tiles. In Angular, Vue, and React, declare them using the dxItem component. When using jQuery, you can declare the tiles as scripts and reference them in the template option or assign a customization function straight to this option.

HTML
JavaScript
  • <div id="tileViewContainer"></div>
  • <script id="individualTileTemplate" type="text/html">
  • <span>Comment</span>
  • </script>
  • $(function() {
  • $("#tileViewContainer").dxTileView({
  • dataSource: [{
  • name: "Alaska",
  • capital: "Juneau",
  • template: $("#individualTileTemplate")
  • }]
  • });
  • });

In addition, you can use a 3rd-party template engine to customize widget appearance. For more information, see the 3rd-Party Template Engines article.

View Built-In Template Engine Demo View 3rd-Party Template Engine Demo

See Also

DevExtreme Vue - Customize Tile Appearance

For a minor customization of tiles, you can define specific fields in item data objects. For example, the following code generates three tiles: the first is disabled, the second is not customized, the third is hidden.

  • <template>
  • <DxTileView :data-source="dataSource"/>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { DxTileView } from 'devextreme-vue/tile-view';
  •  
  • export default {
  • components: {
  • DxTileView
  • },
  • data() {
  • return {
  • dataSource: [
  • { text: 'Alabama', disabled: true },
  • { text: 'Alaska' },
  • { text: 'Arizona', visible: false }
  • ]
  • };
  • }
  • }
  • </script>

If you need a more flexible solution, define an itemTemplate. In Angular and Vue, you can declare it in the markup. In React, you can use a rendering function (shown in the code below) or component:

App.vue
  • <template>
  • <DxTileView
  • :data-source="tileViewData"
  • :item-margin="15"
  • :base-item-height="80"
  • :base-item-width="140"
  • item-template="tile">
  • <template #tile="{ data }">
  • <div>
  • <p style="font-size:larger"><b>{{data.name}}</b></p>
  • <p>Capital: <i>{{data.capital}}</i></p>
  • </div>
  • </template>
  • </DxTileView>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DxTileView from "devextreme-vue/tile-view";
  •  
  • export default {
  • components: {
  • DxTileView
  • },
  • data() {
  • return {
  • tileViewData: [
  • { name: "Alabama", capital: "Montgomery" },
  • { name: "Alaska", capital: "Juneau" },
  • { name: "Arizona", capital: "Phoenix" },
  • // ...
  • ]
  • };
  • }
  • };
  • </script>
  •  
  • <style>
  • .tile {
  • border-radius: .5em;
  • text-align: center;
  • color: white;
  • background: gray;
  • }
  • </style>

If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for tiles. To apply this markup, use the itemTemplate callback function as shown in the following code:

You can also customize individual tiles. In Angular, Vue, and React, declare them using the dxItem component. When using jQuery, you can declare the tiles as scripts and reference them in the template option or assign a customization function straight to this option.

  • <template>
  • <DxTileView>
  • <DxItem>
  • <template #default>
  • <span>User</span>
  • </template>
  • </DxItem>
  • <DxItem>
  • <template #default>
  • <span>Comment</span>
  • </template>
  • </DxItem>
  • </DxTileView>
  • </template>
  •  
  • <script>
  • import 'devextreme/dist/css/dx.common.css';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import DxTileView, { DxItem } from "devextreme-vue/tile-view";
  •  
  • export default {
  • components: {
  • DxTileView,
  • DxItem
  • }
  • };
  • </script>

In addition, you can use a 3rd-party template engine to customize widget appearance. For more information, see the 3rd-Party Template Engines article.

View Built-In Template Engine Demo View 3rd-Party Template Engine Demo

See Also

DevExtreme React - Customize Tile Appearance
For a minor customization of tiles, you can define specific fields in item data objects. For example, the following code generates three tiles: the first is disabled, the second is not customized, the third is hidden.
jQuery
$(function() {
    $("#tileViewContainer").dxTileView({
        dataSource: [
            { text: "Alabama", disabled: true },
            { text: "Alaska" },
            { text: "Arizona", visible: false }
        ]
    });
});Angular
import { DxTileViewModule } from "devextreme-angular";
// ...
export class AppComponent {
    tileViewData = [
        { text: "Alabama", disabled: true },
        { text: "Alaska" },
        { text: "Arizona", visible: false }
    ];
}
@NgModule({
    imports: [
        // ...
        DxTileViewModule
    ],
    // ...
})
<dx-tile-view 
    [dataSource]="tileViewData">
</dx-tile-view>Vue
<template>
    <DxTileView :data-source="dataSource"/>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import { DxTileView } from 'devextreme-vue/tile-view';
export default {
    components: {
        DxTileView
    },
    data() {
        return {
            dataSource: [
                { text: 'Alabama', disabled: true },
                { text: 'Alaska' },
                { text: 'Arizona', visible: false }
            ]
        };
    }
}
</script>React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import { TileView } from 'devextreme-react/tile-view';
const dataSource = [
    { text: 'Alabama', disabled: true },
    { text: 'Alaska' },
    { text: 'Arizona', visible: false }
];
class App extends React.Component {
    render() {
        return (
            <TileView dataSource={dataSource}/>
        );
    }
}
export default App;If you need a more flexible solution, define an itemTemplate. In Angular and Vue, you can declare it in the markup. In React, you can use a rendering function (shown in the code below) or component:
Angular
<dx-tile-view 
    [dataSource]="tileViewData"
    [itemMargin]="15"
    [baseItemHeight]="80"
    [baseItemWidth]="140"
    itemTemplate="tile">
    <div class="tile" *dxTemplate="let data of 'tile'">
        <p style="font-size:larger"><b>{{data.name}}</b></p>
        <p>Capital: <i>{{data.capital}}</i></p>
    </div>
</dx-tile-view>
import { DxTileViewModule } from "devextreme-angular";
// ...
export class AppComponent {
    tileViewData = [
        { name: "Alabama", capital: "Montgomery" },
        { name: "Alaska", capital: "Juneau" },
        { name: "Arizona", capital: "Phoenix" },
        // ...
    ];
}
@NgModule({
    imports: [
        // ...
        DxTileViewModule
    ],
    // ...
})
.tile {
    border-radius: .5em;
    text-align: center;
    color: white;
    background: gray;
}Vue
<template>
    <DxTileView
        :data-source="tileViewData"
        :item-margin="15"
        :base-item-height="80"
        :base-item-width="140"
        item-template="tile">
        <template #tile="{ data }">
            <div>
                <p style="font-size:larger"><b>{{data.name}}</b></p>
                <p>Capital: <i>{{data.capital}}</i></p>
            </div>
        </template>
    </DxTileView>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import DxTileView from "devextreme-vue/tile-view";
export default {
    components: {
        DxTileView
    },
    data() {
        return {
            tileViewData: [
                { name: "Alabama", capital: "Montgomery" },
                { name: "Alaska", capital: "Juneau" },
                { name: "Arizona", capital: "Phoenix" },
                // ...
            ]
        };
    }
};
</script>
<style>
.tile {
    border-radius: .5em;
    text-align: center;
    color: white;
    background: gray;
}
</style>React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import { TileView } from 'devextreme-react/tile-view';
const tileViewData = [
    { name: "Alabama", capital: "Montgomery" },
    { name: "Alaska", capital: "Juneau" },
    { name: "Arizona", capital: "Phoenix" },
    // ...
];
const renderTileItem = (itemData) => {
    return (
        <div>
            <p style={{fontSize: "larger"}}>{itemData.name}</p>
            <p><i>{itemData.capital}</i></p>
        </div>
    );
}
class App extends React.Component {
    render() {
        return (
            <TileView
                items={tileViewData}
                itemRender={renderTileItem}
            />
        );
    }
}
export default App;
.tile {
    border-radius: .5em;
    text-align: center;
    color: white;
    background: gray;
}If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for tiles. To apply this markup, use the itemTemplate callback function as shown in the following code:
jQuery
const tileViewData = [
    { name: "Alabama", capital: "Montgomery" },
    { name: "Alaska", capital: "Juneau" },
    { name: "Arizona", capital: "Phoenix" },
    // ...
];
$(function() {
    $("#tileViewContainer").dxTileView({
        dataSource: tileViewData,
        itemTemplate: function (itemData, itemIndex, itemElement) {
            itemElement.addClass("tile");
            itemElement.append(
                "<p style='font-size:larger'><b>" + itemData.name + "</b></p>",
                "<p>Capital: <i>" + itemData.capital + "</i></p>"
            )
        }
    });
});.tile {
    border-radius: .5em;
    text-align: center;
    color: white;
    background: gray;
}You can also customize individual tiles. In Angular, Vue, and React, declare them using the dxItem component. When using jQuery, you can declare the tiles as scripts and reference them in the template option or assign a customization function straight to this option.
jQuery
<div id="tileViewContainer"></div>
<script id="individualTileTemplate" type="text/html">
    <span>Comment</span>
</script>$(function() {
    $("#tileViewContainer").dxTileView({
        dataSource: [{
            name: "Alaska", 
            capital: "Juneau",
            template: $("#individualTileTemplate")
        }]
    });
});Angular
<dx-tile-view>
    <dxi-item>
        <span>User</span>
    </dxi-item>
    <dxi-item>
        <span>Comment</span>
    </dxi-item>
</dx-tile-view>
import { DxTileViewModule } from "devextreme-angular";
// ...
export class AppComponent {
    // ...
}
@NgModule({
    imports: [
        // ...
        DxTileViewModule
    ],
    // ...
})Vue
<template>
    <DxTileView>
        <DxItem>
            <template #default>
                <span>User</span>
            </template>
        </DxItem>
        <DxItem>
            <template #default>
                <span>Comment</span>
            </template>
        </DxItem>
    </DxTileView>
</template>
<script>
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import DxTileView, { DxItem } from "devextreme-vue/tile-view";
export default {
    components: {
        DxTileView,
        DxItem
    }
};
</script>React
import React from 'react';
import 'devextreme/dist/css/dx.common.css';
import 'devextreme/dist/css/dx.light.css';
import { TileView, Item } from 'devextreme-react/tile-view';
class App extends React.Component {
    render() {
        return (
            <TileView>
                <Item>
                    <span>User</span>
                </Item>
                <Item>
                    <span>Comment</span>
                </Item>
            </TileView>
        );
    }
}
export default App;In addition, you can use a 3rd-party template engine to customize widget appearance. For more information, see the 3rd-Party Template Engines article.
View Built-In Template Engine Demo View 3rd-Party Template Engine Demo
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.

DevExtreme Angular - Customize Tile Appearance

For a minor customization of tiles, you can define specific fields in item data objects. For example, the following code generates three tiles: the first is disabled, the second is not customized, the third is hidden.

TypeScript
HTML
  • import { DxTileViewModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • tileViewData = [
  • { text: "Alabama", disabled: true },
  • { text: "Alaska" },
  • { text: "Arizona", visible: false }
  • ];
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTileViewModule
  • ],
  • // ...
  • })
  • <dx-tile-view
  • [dataSource]="tileViewData">
  • </dx-tile-view>

If you need a more flexible solution, define an itemTemplate. In Angular and Vue, you can declare it in the markup. In React, you can use a rendering function (shown in the code below) or component:

HTML
TypeScript
CSS
  • <dx-tile-view
  • [dataSource]="tileViewData"
  • [itemMargin]="15"
  • [baseItemHeight]="80"
  • [baseItemWidth]="140"
  • itemTemplate="tile">
  • <div class="tile" *dxTemplate="let data of 'tile'">
  • <p style="font-size:larger"><b>{{data.name}}</b></p>
  • <p>Capital: <i>{{data.capital}}</i></p>
  • </div>
  • </dx-tile-view>
  • import { DxTileViewModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • tileViewData = [
  • { name: "Alabama", capital: "Montgomery" },
  • { name: "Alaska", capital: "Juneau" },
  • { name: "Arizona", capital: "Phoenix" },
  • // ...
  • ];
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTileViewModule
  • ],
  • // ...
  • })
  • .tile {
  • border-radius: .5em;
  • text-align: center;
  • color: white;
  • background: gray;
  • }

If you use jQuery alone, use DOM manipulation methods to combine the HTML markup for tiles. To apply this markup, use the itemTemplate callback function as shown in the following code:

You can also customize individual tiles. In Angular, Vue, and React, declare them using the dxItem component. When using jQuery, you can declare the tiles as scripts and reference them in the template option or assign a customization function straight to this option.

HTML
TypeScript
  • <dx-tile-view>
  • <dxi-item>
  • <span>User</span>
  • </dxi-item>
  • <dxi-item>
  • <span>Comment</span>
  • </dxi-item>
  • </dx-tile-view>
  • import { DxTileViewModule } from "devextreme-angular";
  • // ...
  • export class AppComponent {
  • // ...
  • }
  • @NgModule({
  • imports: [
  • // ...
  • DxTileViewModule
  • ],
  • // ...
  • })

In addition, you can use a 3rd-party template engine to customize widget appearance. For more information, see the 3rd-Party Template Engines article.

View Built-In Template Engine Demo View 3rd-Party Template Engine Demo

See Also